# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-java
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:          vorbisspi
Summary:       Ogg Vorbis sound engine
Version:       1.0.3
Release:       alt1_9
License:       LGPLv2
Group:         Sound
Source0:       %{name}%{version}.tar.gz
URL:           http://www.javazoom.net/vorbisspi/sources.html
BuildArch:     noarch

BuildRequires: ant
BuildRequires: java-devel-default /proc
BuildRequires: javapackages-tools
Source44: import.info

%description
VorbisSPI  is a SPI (Service Provider Interface - or "Driver" for 
JavaSound API) that adds Ogg Vorbis audio format format to the Java 
Platform (J2SE). It is based on JOrbis, an open source Vorbis library.

%files 
%{_javadir}/vorbisspi%{version}.jar
%{_javadir}/vorbisspi.jar

#--------------------------------------------------------------------

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java
BuildArch: noarch

%description javadoc
Javadoc for %{name}.

%files javadoc
%{_javadocdir}/*

#--------------------------------------------------------------------

%prep
%setup -q -n VorbisSPI%{version}

%build
%{ant} all

%install
install -dm 755 %{buildroot}%{_javadir}
cp -f vorbisspi%{version}.jar %{buildroot}%{_javadir}/

# jars
install -m644 %{name}%{version}.jar -D %{buildroot}%{_javadir}/%{name}%{version}.jar
ln -s %{name}%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

# javadoc
install -d %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -r docs/* %{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}


%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.0.3-alt1_9
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 1.0.3-alt1_8
- new version

